import QtQuick 2.7

Item {
	id:root
	property color  bColor: "#2196F3"
	property int  bX: 0
	property int  bY: 0
	property int  bWidth: 100
	property int  bheight: 50
	property color  bBorderColor: "white"
	property int  bBorderWidth: 1
	property string bText: "click me !"
	signal myClicked()
	Rectangle{
		id:myRect
		//anchors.fill: parent
		x:bX
		y:bY
		width: bWidth
		height: bheight
		color:bColor
		border.width: bBorderWidth
		border.color: bBorderColor
		Text {
			anchors.fill: parent
			text: bText
			horizontalAlignment: Text.AlignHCenter
			verticalAlignment: Text.AlignVCenter
		}
		MouseArea{
			anchors.fill: parent
			onClicked: myClicked()
		}
	}

}
